Skip to main content
GET
/
api
/
pat
/
v1
/
users
/
{userId}
/
tokens
Retrieves a list of personal access tokens
curl --request GET \
  --url https://api.example.com/api/pat/v1/users/{userId}/tokens \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  },
  "tokens": [
    {
      "createdAt": "2025-08-21T23:51:54.075Z",
      "expiresAt": "2025-08-21T23:51:54.075Z",
      "isValid": true,
      "name": "<string>",
      "patId": "<string>",
      "userId": "<string>",
      "username": "<string>",
      "description": "<string>"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

userId
string
required

User Id owner of the personal access tokens.

Query Parameters

name
string

Partial match search criteria value, that will look into PAT's name and username values

status
enum<string>

Param to filter by status : active - Valid token to be used. expiringSoon - Valid token to be used but its expiration time is in less than 7 days. expired - Already expired token. revoked - Token that has been revoked and is no longer valid, despite its expiration time.

Available options:
active,
expiringSoon,
expired,
revoked
sortBy
enum<string>
default:createdAt

The field to sort personal access tokens by. Available fields are: name - The name of the token. username - The username of the token owner. createdAt - The creation timestamp of the token. expiresAt - The expiration timestamp of the token. isValid - Whether the token is valid. status - A computed status combining isValid and expiresAt (expired tokens sort last when asc). Defaults to createdAt.

Available options:
name,
username,
createdAt,
expiresAt,
isValid,
status
sortOrder
enum<string>
default:asc

The order to sort the tokens in. Can be asc or desc. Defaults to asc.

Available options:
asc,
desc
offset
integer

How many from the start to skip. Defaults to 0.

limit
integer

Max number to fetch. Defaults to 10.

Response

success

metadata
object
required
tokens
object[]
required